Package org.eclipse.emf.cdo.transfer.ui

# Class TransferTypeContentProvider

java.lang.Object
org.eclipse.emf.cdo.transfer.ui.TransferTypeContentProvider

All Implemented Interfaces:
  `IContentProvider`, `IStructuredContentProvider`

public class TransferTypeContentProvider extends Object implements IStructuredContentProvider
A reusable `content provider` for the `transfer types` of a `mapping`.

The recognized `inputs` include instances of `CDOTransferType` and `CDOTransferType[]`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOTransferType[]`
`NO_TANSFER_TYPES`

## Constructor Summary

Constructors
Constructor
Description
`TransferTypeContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`Object[]`
`getElements(Object inputElement)`
`void`
`inputChanged(Viewer viewer, Object oldInput, Object newInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_TANSFER_TYPES

public static final CDOTransferType[] NO_TANSFER_TYPES

## Constructor Details

### TransferTypeContentProvider

public TransferTypeContentProvider()

## Method Details

### inputChanged

public void inputChanged(Viewer viewer, Object oldInput, Object newInput)

Specified by:
  `inputChanged` in interface `IContentProvider`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IContentProvider`

### getElements

public Object[] getElements(Object inputElement)

Specified by:
  `getElements` in interface `IStructuredContentProvider`